Environments

Create an environment

POST
/api/v1/projects/{projectId}/envs

Create a new environment with the given name, key and description.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

projectId*string
Formatuuid

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/envs" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "errors": [    "string"  ],  "data": {    "id": "string",    "name": "string",    "description": "string",    "secrets": [      {        "id": "string",        "name": "string",        "type": "string",        "value": "string"      }    ],    "settings": {      "requireChangeComment": true    }  }}